> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 레드패킷 - 주소별 수령 기록

> 수령자 주소별 레드패킷 수령 기록 확인



## OpenAPI

````yaml /ko/api-reference/openapi-data-ko.yaml GET /v2/redpacket/wallet/{address}/claims
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: 블록체인 관련 작업
  - name: Token
    description: 토큰 관련 작업
  - name: Trade
    description: 거래 관련 작업
  - name: Wallet
    description: 지갑 관련 작업
  - name: Dex
    description: DEX 관련 작업
  - name: Ranking
    description: 랭킹 관련 작업
  - name: DexPool
    description: DEX 풀 관련 작업
  - name: Watchlist
    description: 워치리스트 관련 작업
  - name: KYT
    description: KYT 관련 작업
  - name: Webhook
    description: Webhook 관련 작업
  - name: RedPacket
    description: 레드패킷 관련 작업
  - name: IPFS
    description: IPFS 관련 작업
  - name: DexScreener
    description: DexScreener 관련 작업
paths:
  /v2/redpacket/wallet/{address}/claims:
    get:
      tags:
        - RedPacket
      summary: 레드패킷 - 주소별 수령 기록
      description: 수령자 주소별 레드패킷 수령 기록 확인
      operationId: get.claims.by.address
      parameters:
        - name: address
          in: path
          description: 지갑 주소
          required: true
          schema:
            type: string
          example: 3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w
        - name: cursor
          in: query
          description: 페이지네이션 커서
          required: false
          schema:
            type: string
          example: cursor_abc
        - name: limit
          in: query
          description: 페이지당 결과 수
          required: false
          schema:
            type: integer
            format: int64
          example: 20
        - name: direction
          in: query
          description: 페이지네이션 방향
          required: false
          schema:
            oneOf:
              - $ref: '#/components/schemas/PageDirection'
            default: next
          example: next
      responses:
        '200':
          description: 성공 응답
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RedPacketClaimsPage'
components:
  schemas:
    PageDirection:
      type: string
      description: Pagination direction
      enum:
        - next
        - prev
    RedPacketClaimsPage:
      type: object
      description: Paginated red packet claims response
      required:
        - total
        - hasNextPage
        - records
      properties:
        endCursor:
          type:
            - string
            - 'null'
          description: 현재 페이지 종료 커서
        hasNextPage:
          type: boolean
          description: 다음 페이지 존재 여부
        records:
          type: array
          items:
            $ref: '#/components/schemas/RedPacketClaim'
          description: 레드패킷 수령 목록
        startCursor:
          type:
            - string
            - 'null'
          description: 현재 페이지 시작 커서
        total:
          type: integer
          format: int64
          description: 총 수령 건수
    RedPacketClaim:
      type: object
      description: Red packet claim record
      required:
        - packetId
        - claimer
        - mint
        - amount
      properties:
        amount:
          type: string
          description: 레드패킷 총 금액
          example: '100000000'
        chain:
          type:
            - string
            - 'null'
          description: 레드패킷의 블록체인 네트워크
          example: sol
        claimedAt:
          type:
            - integer
            - 'null'
          format: int64
          description: 수령 타임스탬프
          example: 1717334400000
        claimer:
          type: string
          description: 수령자 지갑 주소
          example: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
        creator:
          type:
            - string
            - 'null'
          description: 생성자 지갑 주소
          example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        mint:
          type: string
          description: 토큰 Mint 주소
          example: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
        packetId:
          type: string
          description: 레드패킷 온체인 ID
          example: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
        txHash:
          type:
            - string
            - 'null'
          description: 트랜잭션 해시
          example: 5UfDuX7hXbL3mFfPdq1pymNHM...
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````